//+------------------------------------------------------------------+
//|                                               ExpertTrailing.mqh |
//|                   Copyright 2009-2017, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#include <Expert\ExpertBase.mqh>
//+------------------------------------------------------------------+
//| Class CExpertTrailing.                                           |
//| Purpose: Base class traling stops.                               |
//| Derives from class CExpertBase.                                  |
//+------------------------------------------------------------------+
class CExpertTrailing: public CExpertBase
{
  public:
    CExpertTrailing(void);
    ~CExpertTrailing(void);
    //---
    // virtual bool      CheckTrailingStopLong(CPositionInfo *position,double &sl,double &tp)  { return(false); }
    //  virtual bool      CheckTrailingStopShort(CPositionInfo *position,double &sl,double &tp) { return(false); }
    virtual bool K_CheckTrailingStopLong(CPositionInfo *position, uint mtf,
      double &sl, double &tp)
    {
        return (false);
    }
    virtual bool K_CheckTrailingStopShort(CPositionInfo *position, uint mtf,
      double &sl, double &tp)
    {
        return (false);
    }
    
    virtual double   LastValue(ENUM_TIMEFRAMES mtf,bool buy_sell){ return 0;   }
    virtual double   Get_SL(ENUM_TIMEFRAMES mtf,ENUM_POSITION_TYPE buy_sell){ return 0;   }
    virtual bool     SL_Open_Direction_Check(ENUM_TIMEFRAMES mtf){ return false; }
    virtual double   Get_RiskPoints(){return 0.0;}  
 };
//+------------------------------------------------------------------+
//| Constructor                                                      |
//+------------------------------------------------------------------+
CExpertTrailing::CExpertTrailing(void){}
//+------------------------------------------------------------------+
//| Destructor                                                       |
//+------------------------------------------------------------------+
CExpertTrailing::~CExpertTrailing(void){}
//+------------------------------------------------------------------+
